# Clair3 Pileup and Full-Alignment Input Visualization

This document shows visualization of Clair3's pileup and full-alignment input tensor at a randomly selected **SNP**, **Insertion**, **Deletion** and **Non-variant** from the ONT GIAB HG003 samples.

Visualization includes 1) unphased read alignments, 2) phased read alignments, 3) pileup model input, and 4) full-alignment model input. In terms of the colors in the reads alignment, bases A, C, G and T are in green, blue, yellow, and red, respectively. Insertions and deletions are in purple dots and dark grey. The phased alignments of two haplotopes are marked in two colors (lavender and pink). The color intensity represents the strength of a signal in both the pileup and full-alignment model input. Check the demo below:

![alt text](http://www.bio8.cs.hku.hk/clair3/visualization/model_input/vis.png)

### [SNP](http://www.bio8.cs.hku.hk/clair3/visualization/model_input/SNP.png) 

**chr1:813926-813959**

![alt text](http://www.bio8.cs.hku.hk/clair3/visualization/model_input/SNP.png)

### [Insertion](http://www.bio8.cs.hku.hk/clair3/visualization/model_input/ins.png)

**chr1:5400817-5400850**

![alt text](http://www.bio8.cs.hku.hk/clair3/visualization/model_input/ins.png)

### [Deletion](http://www.bio8.cs.hku.hk/clair3/visualization/model_input/del.png)

**chr1:1624307-1624340**

![alt text](http://www.bio8.cs.hku.hk/clair3/visualization/model_input/del.png)

### [Non Variant](http://www.bio8.cs.hku.hk/clair3/visualization/model_input/non_variant.png)

**chr1:6638383-6638416**

![alt text](http://www.bio8.cs.hku.hk/clair3/visualization/model_input/non_variant.png)