# Visualization of Clair3's Representation Unification

This document showcase of Clair3's representation unification in three platforms.  All visualization cases are from the chr1 of the GIAB HG002 sample. 

For your interest, please also check the following links:

1. How this algorithm works: [represatation unification](representation_unification.md).
2. For more visualization cases, please click [ONT](http://www.bio8.cs.hku.hk/clair3/visualization/representation_unification/ont.tar.gz), [PacBio HiFi](http://www.bio8.cs.hku.hk/clair3/visualization/representation_unification/pacbio_hifi.tar.gz), [Illumina](http://www.bio8.cs.hku.hk/clair3/visualization/representation_unification/illumina.tar.gz). 

----

## Contents

- [ONT](#ONT)
- [PacBio HiFi](#pacbio-hifi)
- [Illumina](#Illumina)

----

## Legends

Each figure contains three tracks includng 1) truths variants information from a GIAB truth set VCF, 2) phased alignments, and 3) details of the unification result (how candidate haplotypes match with the truth haplotypes). Below is an example.

![alt text](http://www.bio8.cs.hku.hk/clair3/visualization/representation_unification/represatation_unification_demo.png)

----

##  ONT

**HG002 chr1:1057428-1057485**

![alt text](http://www.bio8.cs.hku.hk/clair3/visualization/representation_unification/ont_HG002-chr1:1057428-1057485.png)

**HG002 chr1:16034397-16034446**

![alt text](http://www.bio8.cs.hku.hk/clair3/visualization/representation_unification/ont_HG002-chr1:16034397-16034446.png)

**HG002 chr1:63493040-63493107**

![alt text](http://www.bio8.cs.hku.hk/clair3/visualization/representation_unification/ont_HG002-chr1:63493040-63493107.png)

**HG002 chr1:80929164-80929268**

![alt text](http://www.bio8.cs.hku.hk/clair3/visualization/representation_unification/ont_HG002-chr1:80929164-80929268.png)

**HG002 chr1:104905825-104905932**

![alt text](http://www.bio8.cs.hku.hk/clair3/visualization/representation_unification/ont_HG002-chr1:104905825-104905932.png)

**HG002 chr1:177645243-177645283**

![alt text](http://www.bio8.cs.hku.hk/clair3/visualization/representation_unification/ont_HG002-chr1:177645243-177645283.png)

----

## PacBio HiFi

**HG002 chr1:17126445_171264950**

![alt text](http://www.bio8.cs.hku.hk/clair3/visualization/representation_unification/pb_HG002-chr1:17126445_171264950.png)

**HG002 chr1:166255391-166255451**

![alt text](http://www.bio8.cs.hku.hk/clair3/visualization/representation_unification/pb_HG002-chr1:166255391-166255451.png)

**HG002 chr1:16034409-16034448**

![alt text](http://www.bio8.cs.hku.hk/clair3/visualization/representation_unification/pb_HG002-chr1:16034409-16034448.png)

**HG002  chr1:116120386-116120580**

![alt text](http://www.bio8.cs.hku.hk/clair3/visualization/representation_unification/pb_HG002-chr1.116120386-116120580.png)

----

## Illumina

**HG002 chr1:236541577-236541610**

![alt text](http://www.bio8.cs.hku.hk/clair3/visualization/representation_unification/illumina_chr1:236541577-236541610.png)

**HG002 chr1:236937922-236937969**

![alt text](http://www.bio8.cs.hku.hk/clair3/visualization/representation_unification/illumina_chr1:236937922-236937969.png)

**HG002 chr1:235255208-235255298**

![alt text](http://www.bio8.cs.hku.hk/clair3/visualization/representation_unification/ilumina_chr1:235255208-235255298.png)

**HG002  chr1:210982210-210982283**

![alt text](http://www.bio8.cs.hku.hk/clair3/visualization/representation_unification/illumina_chr1:210982210-210982283.png)